petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecCUSPRestoreArrayWrite

Restore a CUSP device vector previously acquired with VecCUSPGetArrayWrite().

### Synopsis

    PETSC_EXTERN PetscErrorCode VecCUSPRestoreArrayWrite(Vec v, CUSPARRAY **a)

Data on the host will be marked as out of date. Subsequent access of Many brthe data on the host side e.g. with VecGetArray() will incur a device Many brto host data transfer. Many br

### Input Parameter

| v | - the vector Many br
| a | - the CUDA device pointer. This pointer is invalid after Many brVecCUSPRestoreArrayWrite() returns. Many br

### Fortran note

This function is not currently available from Fortran. Many br

Many br

### See Also

VecCUSPGetArrayWrite(), VecCUSPGetArrayReadWrite(), VecCUSPGetArrayRead(), VecCUSPGetArrayWrite(), VecGetArray(), VecRestoreArray(), VecGetArrayRead()

Level:intermediate
Location:src/vec/vec/impls/seq/seqcusp/veccusp2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex47cu.cu.html